ConstructorSite.ConstructorSiteNoUnwrap (Groovy 4.0.15)
Description: declaration: package: org.codehaus.groovy.runtime.callsite, class: ConstructorSite, class: ConstructorSiteNoUnwrap

Package org.codehaus.groovy.runtime.callsite

# Class ConstructorSite.ConstructorSiteNoUnwrap

java.lang.Object
org.codehaus.groovy.runtime.callsite.AbstractCallSite
org.codehaus.groovy.runtime.callsite.MetaClassSite
org.codehaus.groovy.runtime.callsite.ConstructorSite
org.codehaus.groovy.runtime.callsite.ConstructorSite.ConstructorSiteNoUnwrap

All Implemented Interfaces:
  `CallSite`

Enclosing class:
  ConstructorSite

public static class ConstructorSite.ConstructorSiteNoUnwrap extends ConstructorSite
Call site where we know there is no need to unwrap arguments

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.callsite.ConstructorSite

  `ConstructorSite.ConstructorSiteNoUnwrap, ConstructorSite.ConstructorSiteNoUnwrapNoCoerce, ConstructorSite.NoParamSite, ConstructorSite.NoParamSiteInnerClass`

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

  `metaClass`

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `array, index, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConstructorSiteNoUnwrap(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Object`
  `callConstructor(Object receiver, Object[] args)`

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.ConstructorSite

  `checkCall, createConstructorSite`

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConstructorSiteNoUnwrap

    public ConstructorSiteNoUnwrap(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)

- ## Method Details

  - ### callConstructor

    public final Object callConstructor(Object receiver, Object[] args) throws Throwable
    Specified by:
      `callConstructor` in interface `CallSite`
    Overrides:
      `callConstructor` in class `ConstructorSite`
    Throws:
      `Throwable`